=== modified file 'logview.py'
--- logview.py	2007-03-20 19:36:35 +0000
+++ logview.py	2007-03-20 21:09:30 +0000
@@ -30,9 +30,12 @@
     start.
     """
 
-    def __init__(self, revision=None):
-        gtk.ScrolledWindow.__init__(self)
-        self.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+    def __init__(self, revision=None, scroll=True):
+        super(LogView, self).__init__()
+        if scroll:
+            self.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
+        else:
+            self.set_policy(gtk.POLICY_NEVER, gtk.POLICY_NEVER)
         self.set_shadow_type(gtk.SHADOW_NONE)
         self._create()
         self._show_callback = None

=== modified file 'missing.py'
--- missing.py	2007-03-20 19:36:35 +0000
+++ missing.py	2007-03-20 21:09:30 +0000
@@ -44,13 +44,14 @@
         extra_revs = gtk.ScrolledWindow()
         vbox = gtk.VBox()
         for rev in revisions:
-            vbox.pack_start(LogView(rev), True, True)
+            vbox.pack_start(LogView(rev, scroll=False), True, True)
         extra_revs.add_with_viewport(vbox)
         extra_revs.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         return extra_revs
 
     def _create(self):
         self.set_default_size(600, 600)
+        paned = gtk.VPaned()
 
         frame = gtk.Frame("You have the following extra revisions:")
 
@@ -58,7 +59,7 @@
                 self.local_branch.repository.get_revisions(
                     map(lambda (x,y):y, self.local_extra)))
         frame.add(extra_revs)
-        self.vbox.pack_start(frame, True, True)
+        paned.pack1(frame, resize=True, shrink=False)
 
         missing_revs = self._create_revisions_frame(
                 self.remote_branch.repository.get_revisions(
@@ -66,7 +67,10 @@
 
         frame = gtk.Frame("You are missing following revisions:")
         frame.add(missing_revs)
-        self.vbox.pack_start(frame, True, True)
+
+        paned.pack2(frame, resize=False, shrink=True)
+
+        self.vbox.pack_start(paned, True, True)
         self.vbox.show_all()
 
     def display(self):

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-02-03 14:19:20 +0000
+++ viz/branchwin.py	2007-03-20 21:09:30 +0000
@@ -147,8 +147,6 @@
         """Construct the bottom half of the window."""
         from bzrlib.plugins.gtk.logview import LogView
         self.logview = LogView()
-        self.logview.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        self.logview.set_shadow_type(gtk.SHADOW_NONE)
         (width, height) = self.get_size()
         self.logview.set_size_request(width, int(height / 2.5))
         self.logview.show()

